% author: kaneda
% grafic practica 7
% titol: camp B per a les bobines

\documentclass{standalone}

% Required package
\usepackage{pgfplots}
\usepackage{pgfplotstable}
\pgfplotsset{compat = newest}

\begin{document}

\begin{tikzpicture}
\begin{axis}[
    xmin = -13, xmax = 13,
    ymin = 0, ymax = 4,
    width = \textwidth,
    height = 0.67\textwidth,
    xtick distance = 5,
    ytick distance = 1,
    minor tick num = 2,
    xlabel = {\large $z$ (cm)},
    ylabel = {\large $B$ (mT)},
    legend cell align = {left},
    legend pos = north west
]

% MESURES
\addplot[
    teal,
    only marks,
    mark size = 0.5mm,
    error bars,
    x dir=both,
    x explicit,
    y dir=both,
    y explicit,
] table[x={z}, y={b1}, x error={uz}, y error={ub1}] {dades_3.dat};

\addplot[
    orange,
    only marks,
    mark size = 0.5mm,
    error bars,
    x dir=both,
    x explicit,
    y dir=both,
    y explicit,
] table[x={z}, y={b2}, x error={uz}, y error={ub2}] {dades_3.dat};

\addplot[
    red!60!gray,
    only marks,
    mark size = 0.5mm,
    error bars,
    x dir=both,
    x explicit,
    y dir=both,
    y explicit,
] table[x={z}, y={b3}, x error={uz}, y error={ub3}] {dades_3.dat};

\addplot[
    green!50!gray,
    only marks,
    mark size = 0.5mm,
    error bars,
    x dir=both,
    x explicit,
    y dir=both,
    y explicit,
] table[x={z}, y={b4}, x error={uz}, y error={ub4}] {dades_3.dat};

% VALOR TEORIC
\addplot[
    teal!50,
] table[x={z}, y={b1}]{dades_3b.dat};

\addplot[
    orange!50,
] table[x={z}, y={b2}]{dades_3b.dat};

\addplot[
    red!60!gray!50,
] table[x={z}, y={b3}]{dades_3b.dat};

\addplot[
    green!50!gray!50,
] table[x={z}, y={b4}]{dades_3b.dat};

% Add legend
\addlegendentry{Mesures $B_1$}
\addlegendentry{Mesures $B_2$}
\addlegendentry{Mesures $B_3$}
\addlegendentry{Mesures $B_4$};

\end{axis}
\end{tikzpicture}

\end{document}
